# boost::numeric::ublas::basic_range< Z, D >::const_iterator Class Reference

List of all members.

## Public Types

typedef basic_range::value_type | value_type
typedef basic_range::difference_type | difference_type
typedef basic_range::const_reference | reference
typedef basic_range::const_pointer | pointer

## Public Member Functions

BOOST_UBLAS_INLINE | const_iterator (const basic_range &r, const const_subiterator_type &it)
BOOST_UBLAS_INLINE const_iterator & | operator++ ()
BOOST_UBLAS_INLINE const_iterator & | operator-- ()
BOOST_UBLAS_INLINE const_iterator & | operator+= (difference_type n)
BOOST_UBLAS_INLINE const_iterator & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const const_iterator &it) const
BOOST_UBLAS_INLINE const_reference | operator* () const
BOOST_UBLAS_INLINE const_reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE size_type | index () const
BOOST_UBLAS_INLINE const_iterator & | operator= (const const_iterator &it)
BOOST_UBLAS_INLINE bool | operator== (const const_iterator &it) const
BOOST_UBLAS_INLINE bool | operator< (const const_iterator &it) const

### template<class Z, class D>
class boost::numeric::ublas::basic_range< Z, D >::const_iterator